Module jdk.compiler
Package com.sun.source.tree

## Interface ArrayTypeTree

All Superinterfaces:
  `Tree`

    public interface ArrayTypeTree
    extends Tree

A tree node for an array type. For example:

       type []

Since:
  1.6
See The Java™ Language Specification:
  section 10.1

### Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`Tree` `getType()` Returns the element type of this array type.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getType

    Tree getType()

Returns the element type of this array type.

Returns:
  the element type